Skip to content

Volume Backup

All operations require authentication.

5 operationsv2/publicCloud/project
Agent setup

List backupsProduction

GET
/v2/publicCloud/project/{projectId}/storage/block/backup

Returns the volume backups of the project.

Path parameters

projectId
required
string

Project ID

Query parameters

volumeId
stringuuid

Filter by source volume ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Backup[]successful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the backup

currentState
read-only
BackupCurrentState

Current observed state of the backup from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the backup

id
read-only
stringuuid

Unique identifier of the backup

resourceStatus
read-only
ResourceStatusEnum

Backup readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
BackupTargetSpec

Last target specification of the backup

updatedAt
read-only
stringdate-time

Last update date of the backup

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/block/backup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get a backupProduction

GET
/v2/publicCloud/project/{projectId}/storage/block/backup/{id}

Returns the backup configuration and its current state, including its size and source volume.

Path parameters

id
required
stringuuid

Id

projectId
required
string

Project ID

Response

200Backupsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the backup

currentState
read-only
BackupCurrentState

Current observed state of the backup from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the backup

id
read-only
stringuuid

Unique identifier of the backup

resourceStatus
read-only
ResourceStatusEnum

Backup readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
BackupTargetSpec

Last target specification of the backup

updatedAt
read-only
stringdate-time

Last update date of the backup

404objectError 404 response

Example uses id = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/block/backup/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z"}

Create a backupProduction

POST
/v2/publicCloud/project/{projectId}/storage/block/backup

Creates a backup of a volume in the given region.

Path parameters

projectId
required
string

Project ID

Request body (required)

targetSpec
required
BackupTargetSpec

Desired target specification for the backup

Response

200Backupsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the backup

currentState
read-only
BackupCurrentState

Current observed state of the backup from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the backup

id
read-only
stringuuid

Unique identifier of the backup

resourceStatus
read-only
ResourceStatusEnum

Backup readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
BackupTargetSpec

Last target specification of the backup

updatedAt
read-only
stringdate-time

Last update date of the backup

409objectError 409 response

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/block/backup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z"}

Delete a backupProduction

DELETE
/v2/publicCloud/project/{projectId}/storage/block/backup/{id}

Deletes the backup.

Path parameters

id
required
stringuuid

Id

projectId
required
string

Project ID

Response

200Backupsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the backup

currentState
read-only
BackupCurrentState

Current observed state of the backup from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the backup

id
read-only
stringuuid

Unique identifier of the backup

resourceStatus
read-only
ResourceStatusEnum

Backup readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
BackupTargetSpec

Last target specification of the backup

updatedAt
read-only
stringdate-time

Last update date of the backup

404objectError 404 response
409objectError 409 response

Example uses id = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/block/backup/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z"}

Update a backupProduction

PUT
/v2/publicCloud/project/{projectId}/storage/block/backup/{id}

Updates the backup name and description. Send the current checksum to prevent overwriting a concurrent change.

Path parameters

id
required
stringuuid

Id

projectId
required
string

Project ID

Request body (required)

checksum
string

Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).

targetSpec
required
BackupUpdateTargetSpec

Desired target specification for the backup

Response

200Backupsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the backup

currentState
read-only
BackupCurrentState

Current observed state of the backup from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the backup

id
read-only
stringuuid

Unique identifier of the backup

resourceStatus
read-only
ResourceStatusEnum

Backup readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
BackupTargetSpec

Last target specification of the backup

updatedAt
read-only
stringdate-time

Last update date of the backup

404objectError 404 response
409objectError 409 response

Example uses id = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/block/backup/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z"}